package funktio.integroi;

import static funktio.integroi.Integroi2.*;

/**
 * Esimerkki nimettömistä sisäluokista
 * @author vesal
 * @version 13.3.2012
 */
public class P2Sisa {
    /**
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        // BYCODEBEGIN
        FunktioRR p2 = new FunktioRR() {
                           @Override
                           public double f(double x) { return x*x; }
                        };
        double ala = integroi(p2, 0, 3, 10000);
        System.out.printf("%17.15f%n", ala);

        ala = integroi(new FunktioRR() {
                         @Override
                         public double f(double x) { return x*x + 1; }
                       }, 0, 3, 10000);
        System.out.printf("%17.15f%n", ala);
        // BYCODEEND
    }

}
