package hello.button;
import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

/**
 * Yksinkertainen esimerkki JavaFX ohjelmasta
 * Käsittelijä tehdään nimettömästä sisäluokasta suoraan kutsussa
 * @author vesal
 * @version 4.3.2016
 */
public class HelloWorld3 extends Application {
    @Override
    public void start(Stage primaryStage) {
        BorderPane root = new BorderPane();
        Label label = new Label("Hello World!");
        Button button = new Button("Press me!");
        BorderPane.setMargin(button, new Insets(10));
        button.setOnAction(new EventHandler<ActionEvent>() {
            @Override
            public void handle(ActionEvent event) {
                label.setText("Well Done!");
            }
        });
        root.setCenter(label);
        root.setRight(button);
        Scene scene = new Scene(root); 
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    
    /** @param args  ei käytössä  */
    public static void main(String[] args) { 
        launch(args); 	
    }
}
